Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  hilfe bei lisp ergenzung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   hilfe bei lisp ergenzung (724 mal gelesen)
amiran
Mitglied
Wasserbauer

Sehen Sie sich das Profil von amiran an!   Senden Sie eine Private Message an amiran  Schreiben Sie einen Gästebucheintrag für amiran

Beiträge: 4
Registriert: 18.10.2010

erstellt am: 18. Okt. 2010 17:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo alle, entschuldige für mein deutsch.Ich bin ganz beginer in lisp richtung und habe natürlich schon fragen.Arbeite oft mit straßen längenschnitte und querprofilen,bei der änderungen muss ich natürlich ein paar hundred profile durch beschriften.Es ist VIEL arbeit.Dafür habe ich eine fine anwendung gefunden,lisp beschriftet automatisch stationen und höhen, nur wenn BKS Ursprung auf der 1.vergleichs ebene und station auf 0 gesetzt ist. Also für jede weitere abmessung,zuerst muss ich BKS Ur. richtig setzen und dann lisp aufrufen.Es wäre perfekt, wenn nach lisp aufruf erst BKS Ur. abgefregt würde und dann restliche lisp!Ich habe es erfolglos mehr mals probiert. Vielen dank im voraus

LISP:
;Koordinatenbeschriftung

(defun c:kb (/ a b pkt x y z om)
  (setq h  0.2 ;texthöhe EDITIERBAR!!!
fp 2 ;anzahl der kommastellen (integer!)
x1 2.4 ;abstand VE - OK x Band
x2 3.6 ;abstand VE - UK x Band
fx 1.0 ;faktor x werte
y1 3.6 ;abstand VE - OK y Band
y2 4.8 ;abstand VE - OK y Band
fy 1.0 ;faktor y werte
a 0.1 ;horizontaler abstand hilfslinie-text
;VE 612.0 ;höhe vergleichsebene
)
  (setq pkt (getpoint "\nPunkt Wählen: ")
VE (getreal "\nHöhe der Vergleichsebene: ")
)

  (setq om (getvar 'osmode)
dz (getvar 'dimzin)
x (car pkt)
y (cadr pkt)
z (caddr pkt)
x1 (* x1 -1.0)
x2 (* x2 -1.0)
y1 (* y1 -1.0)
y2 (* y2 -1.0)
)
  (setvar 'osmode 0)
  (setvar 'dimzin 1)
  (command "text" "p" "r" (list (+ x) (- x1 a) z) h 90 (rtos (* x fx) 2 fp))
  (setq b1 (entlast))
  (command "text" "p" "r" (list (+ x) (- y1 a) z) h 90 (rtos (+ VE (* y fy)) 2 fp))
  (setq b2 (entlast))
  (command "_line" (list x y z) (list x 0 z) "")
  (setq b3 (entlast))
  ;(command "_line" (list x x1 z) (list x x2 z) "")
  ;(setq b4 (entlast))
  ;(command "_line" (list x y1 z) (list x y2 z) "")
  ;(setq b5 (entlast))
;  (command "_copybase" (list x y z) b1 b2 b3 b4 b5 ""
;   "_erase" b1 b2 b3 b4 b5 ""
;   "_pasteblock" (list x y z)
;   ) 
  (setvar 'osmode om)
  (setvar 'dimzin dz)
  )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 18. Okt. 2010 17:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für amiran 10 Unities + Antwort hilfreich

Zitat:
...und habe natürlich schon fragen...

Und wie lautet jetzt deine Frage?

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

amiran
Mitglied
Wasserbauer

Sehen Sie sich das Profil von amiran an!   Senden Sie eine Private Message an amiran  Schreiben Sie einen Gästebucheintrag für amiran

Beiträge: 4
Registriert: 18.10.2010

erstellt am: 19. Okt. 2010 11:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Sorry. Frage ist- wie kann mann machen,dass nach befehl aufruf wird:
1.BKS Ursprung einfüge punkt,
2.Zielpunkt,
3.vergleichsebene
abgefragt?
Einfach befehl "_ucs (Welt)" in diese Lisp integrieren!?
Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fuchsi
Mitglied
Programmierer c#.net Datawarehouse


Sehen Sie sich das Profil von fuchsi an!   Senden Sie eine Private Message an fuchsi  Schreiben Sie einen Gästebucheintrag für fuchsi

Beiträge: 1201
Registriert: 14.10.2003

AutoCad Version 2012 deu/enu
<P>Windows 7 64bit

erstellt am: 22. Okt. 2010 10:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für amiran 10 Unities + Antwort hilfreich

(command "._ucs" "_world")

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

amiran
Mitglied
Wasserbauer

Sehen Sie sich das Profil von amiran an!   Senden Sie eine Private Message an amiran  Schreiben Sie einen Gästebucheintrag für amiran

Beiträge: 4
Registriert: 18.10.2010

erstellt am: 05. Nov. 2010 09:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für Tipp  .Ich weiß schon dass `Ursprung` ist (command "._ucs" "_world"), aber genau da brauche ich Hilfe. Vieleicht kann jemand diese (command "._ucs" "_world") in diese lisp integrieren so, dass erst wird Ursprung angefragt, dann Vergleichsebene und am schluß Zielpunkt? Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz